Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.gr4vy.com/llms.txt

Use this file to discover all available pages before exploring further.

This is defined by a set of attributes as detailed below.
AttributeDescription
modelName of the report model to be used
paramsParameters to be used for the chosen report model
The specification is defined in the spec attribute of the request body when a new report is created through the API endpoint to create a report. Below is an example of what a specification would look like:
{
  "model": "transactions",
  "params": {
    "fields": [ "id", "created_at"],
    "filters": {
      "status": ["capture_succeeded"]
    },
    "sort": [
      {
        "field": "created_at",
        "order": "desc"
      }
    ]
  }
}